Subject: RE: reminder: QoS not currently in L3VPN charter

From: [email-masked]
Date: Thu, 26 Feb 2004 09:08:12 -0000

Ross Callon wrote 25 February 2004 22:23
 
> At 10:59 AM 2/25/2004 -0800, Rick Wilder wrote:
> 
> >This is not to say the discussions of QoS here are not 
> interesting, but currently out of
> >charter. 
> >
> >Any proposal to expand the WG charter to include QoS would 
> require a clear statement of
> >requirements for VPN-specific QoS work.
> >
> >Rick
> 
> To expand a bit on Rick's comments. There has been other work in the
> IETF over many years on QoS. In my reading of the recent 
> discussion on 
> the l3vpn working group mailing list, I noticed an 
> interesting discussion.
> However, I didn't notice anything that would suggest a 
> solution specific to 
> VPNs -- the same issues could be raised for other types of 
> traffic going 
> through an IP/MPLS Network. 
> 
> If there are VPN-specific aspects of QoS we could try to 
> understand what 
> these are, and then have discussions regarding whether to extent the 
> working group charter. If the QoS issues are applicable to IP 
> networks in
> general, then to me it would appear to be difficult to argue 
> why these 
> should be in this working group rather than elsewhere in the IETF. 
> 
> Ross

Hi Ross,  Not sure if you are referring above to my recent posting (responding to questions from Chris Lewis) on the thread 'RE: End to end QoS guarantee for users in VPN'?  But yes, I agree with you that QoS (whatever that really means....since I think different people have different interpretations of QoS) is not specific to VPNs.  But in general the solutions required for private network services are not the same as those for public network services, as I attempted to explain in my recent posting, eg the difference between an 'urgency' and 'importance' semantic (which is not absolute), and is not just a 'pkt attribute' in any case, and the implications of BW sharing between QoS classes on an operator's ability to create fair/meaningful and appropriately priced services.

We (in BT) are having a real dilemma at present in trying to work out just 'who' the target audience is for certain work items in IETF.....esp in PWE3; please see the PWE3 thread 'RE: [PWE3] New PWE3 Charter Items: SPVC Interworking'.  I have taken the liberty of copying-in the PWE3 WG on this mail for their information.

In our view the requirements for the Internet as-is are very different from those of an operator like BT.

Not sure how to sort this out.....but we for sure need a more rigorous/complete and more service-oriented approach to dealing with certain topics (this being one of them) than has been done to date in IETF......it seems (to us at least) that the IETF, given its current modus operandi and assuming this does not change, may not be the right place to do this sort of work.

regards, Neil
BT/GS/CTO